Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: João Távora <[email-masked]>
Date: Sun, 13 Jan 2019 11:52:38 +0000

On Sun, Jan 13, 2019 at 3:04 AM Juri Linkov <[email-masked]> wrote:

> > I'm not sure if it's the "most natural" way. "A natural" maybe.
> At least, the current behavior can't be described as "natural".
> For example, if the user prefers using frames and types `C-x 5 .'
> the xref buffer is displayed in another WINDOW, not FRAME.

As you very well know by now, the "other frame" there refers to the
buffer that eventually displays the cross-reference, which
very often doesn't require the *xref* itself, and _not_ *xref* buffer
itself.

Look, I get it that you dislike the current interface very, very
much and would like to change it.  As I have repeatedly asked,
do you  understand that a viable path to do that might be:

1. Make the current interface configurable
2. Present a number of configurations for xref to work
with and how to select them.
3. Choose the "most natural" one to be the default
(this is up for debate, sorry, but other people have opinions,
too)

?

Let's just work on number 1 and 2 here *before* we go
to number 3. If you press on starting with 3, you make
me unhappy, because I don't know how I can get back
the current configuration if I later decide I don't like your
system.  Arguing that it's "natural" won't do it for me, an UI
is too subjective a thing.

-- 
João Távora